Bug 164827 - Add -fstack-protector-all to cflags after $RPM_OPT_FLAGS
Summary: Add -fstack-protector-all to cflags after $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-01 17:48 UTC by Elliot Lee
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 07:31:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2005-08-01 17:48:00 UTC
From Uli:

> And again the note for our friends gaim, ethereal, (mjcox: extend the
> list, please): change the Makefiles or .spec files to add
> -fstack-protector-all after the RPM_OPT_FLAGS to unconditionally add the
> canary support in all functions.  This is not really slow either but
> will help catching problems.

Comment 1 Warren Togami 2005-08-02 07:31:38 UTC
already done yesterday


Note You need to log in before you can comment on or make changes to this bug.